/[LeafOK_CVS]/lbbs/utils/Makefile.in
ViewVC logotype

Diff of /lbbs/utils/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.2 by sysadm, Fri Apr 8 11:11:11 2005 UTC Revision 1.5 by sysadm, Mon Apr 28 04:03:59 2025 UTC
# Line 1  Line 1 
1  # Makefile.in generated by automake 1.9.2 from Makefile.am.  # Makefile.in generated by automake 1.16.5 from Makefile.am.
2  # @configure_input@  # @configure_input@
3    
4  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,  # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5  # 2003, 2004  Free Software Foundation, Inc.  
6  # This Makefile.in is free software; the Free Software Foundation  # This Makefile.in is free software; the Free Software Foundation
7  # gives unlimited permission to copy and/or distribute it,  # gives unlimited permission to copy and/or distribute it,
8  # with or without modifications, as long as this notice is preserved.  # with or without modifications, as long as this notice is preserved.
# Line 13  Line 13 
13  # PARTICULAR PURPOSE.  # PARTICULAR PURPOSE.
14    
15  @SET_MAKE@  @SET_MAKE@
 srcdir = @srcdir@  
 top_srcdir = @top_srcdir@  
16  VPATH = @srcdir@  VPATH = @srcdir@
17    am__is_gnu_make = { \
18      if test -z '$(MAKELEVEL)'; then \
19        false; \
20      elif test -n '$(MAKE_HOST)'; then \
21        true; \
22      elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23        true; \
24      else \
25        false; \
26      fi; \
27    }
28    am__make_running_with_option = \
29      case $${target_option-} in \
30          ?) ;; \
31          *) echo "am__make_running_with_option: internal error: invalid" \
32                  "target option '$${target_option-}' specified" >&2; \
33             exit 1;; \
34      esac; \
35      has_opt=no; \
36      sane_makeflags=$$MAKEFLAGS; \
37      if $(am__is_gnu_make); then \
38        sane_makeflags=$$MFLAGS; \
39      else \
40        case $$MAKEFLAGS in \
41          *\\[\ \   ]*) \
42            bs=\\; \
43            sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44              | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45        esac; \
46      fi; \
47      skip_next=no; \
48      strip_trailopt () \
49      { \
50        flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51      }; \
52      for flg in $$sane_makeflags; do \
53        test $$skip_next = yes && { skip_next=no; continue; }; \
54        case $$flg in \
55          *=*|--*) continue;; \
56            -*I) strip_trailopt 'I'; skip_next=yes;; \
57          -*I?*) strip_trailopt 'I';; \
58            -*O) strip_trailopt 'O'; skip_next=yes;; \
59          -*O?*) strip_trailopt 'O';; \
60            -*l) strip_trailopt 'l'; skip_next=yes;; \
61          -*l?*) strip_trailopt 'l';; \
62          -[dEDm]) skip_next=yes;; \
63          -[JT]) skip_next=yes;; \
64        esac; \
65        case $$flg in \
66          *$$target_option*) has_opt=yes; break;; \
67        esac; \
68      done; \
69      test $$has_opt = yes
70    am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71    am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72  pkgdatadir = $(datadir)/@PACKAGE@  pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@  
73  pkgincludedir = $(includedir)/@PACKAGE@  pkgincludedir = $(includedir)/@PACKAGE@
74  top_builddir = ..  pkglibdir = $(libdir)/@PACKAGE@
75    pkglibexecdir = $(libexecdir)/@PACKAGE@
76  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 INSTALL = @INSTALL@  
77  install_sh_DATA = $(install_sh) -c -m 644  install_sh_DATA = $(install_sh) -c -m 644
78  install_sh_PROGRAM = $(install_sh) -c  install_sh_PROGRAM = $(install_sh) -c
79  install_sh_SCRIPT = $(install_sh) -c  install_sh_SCRIPT = $(install_sh) -c
# Line 36  POST_UNINSTALL = : Line 88  POST_UNINSTALL = :
88  build_triplet = @build@  build_triplet = @build@
89  host_triplet = @host@  host_triplet = @host@
90  subdir = utils  subdir = utils
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in  
91  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92  am__aclocal_m4_deps = $(top_srcdir)/configure.in  am__aclocal_m4_deps = $(top_srcdir)/configure.ac
93  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \  am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94          $(ACLOCAL_M4)          $(ACLOCAL_M4)
95    DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
96  mkinstalldirs = $(install_sh) -d  mkinstalldirs = $(install_sh) -d
97  CONFIG_CLEAN_FILES =  CONFIG_CLEAN_FILES =
98    CONFIG_CLEAN_VPATH_FILES =
99    AM_V_P = $(am__v_P_@AM_V@)
100    am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
101    am__v_P_0 = false
102    am__v_P_1 = :
103    AM_V_GEN = $(am__v_GEN_@AM_V@)
104    am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
105    am__v_GEN_0 = @echo "  GEN     " $@;
106    am__v_GEN_1 =
107    AM_V_at = $(am__v_at_@AM_V@)
108    am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
109    am__v_at_0 = @
110    am__v_at_1 =
111  SOURCES =  SOURCES =
112  DIST_SOURCES =  DIST_SOURCES =
113  RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \  RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
114          html-recursive info-recursive install-data-recursive \          ctags-recursive dvi-recursive html-recursive info-recursive \
115          install-exec-recursive install-info-recursive \          install-data-recursive install-dvi-recursive \
116          install-recursive installcheck-recursive installdirs-recursive \          install-exec-recursive install-html-recursive \
117          pdf-recursive ps-recursive uninstall-info-recursive \          install-info-recursive install-pdf-recursive \
118          uninstall-recursive          install-ps-recursive install-recursive installcheck-recursive \
119  ETAGS = etags          installdirs-recursive pdf-recursive ps-recursive \
120  CTAGS = ctags          tags-recursive uninstall-recursive
121    am__can_run_installinfo = \
122      case $$AM_UPDATE_INFO_DIR in \
123        n|no|NO) false;; \
124        *) (install-info --version) >/dev/null 2>&1;; \
125      esac
126    RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
127      distclean-recursive maintainer-clean-recursive
128    am__recursive_targets = \
129      $(RECURSIVE_TARGETS) \
130      $(RECURSIVE_CLEAN_TARGETS) \
131      $(am__extra_recursive_targets)
132    AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
133            distdir distdir-am
134    am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
135    # Read a list of newline-separated strings from the standard input,
136    # and print each of them once, without duplicates.  Input order is
137    # *not* preserved.
138    am__uniquify_input = $(AWK) '\
139      BEGIN { nonempty = 0; } \
140      { items[$$0] = 1; nonempty = 1; } \
141      END { if (nonempty) { for (i in items) print i; }; } \
142    '
143    # Make sure the list of sources is unique.  This is necessary because,
144    # e.g., the same source file might be shared among _SOURCES variables
145    # for different programs/libraries.
146    am__define_uniq_tagged_files = \
147      list='$(am__tagged_files)'; \
148      unique=`for i in $$list; do \
149        if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
150      done | $(am__uniquify_input)`
151  DIST_SUBDIRS = $(SUBDIRS)  DIST_SUBDIRS = $(SUBDIRS)
152    am__DIST_COMMON = $(srcdir)/Makefile.in
153  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
154    am__relativize = \
155      dir0=`pwd`; \
156      sed_first='s,^\([^/]*\)/.*$$,\1,'; \
157      sed_rest='s,^[^/]*/*,,'; \
158      sed_last='s,^.*/\([^/]*\)$$,\1,'; \
159      sed_butlast='s,/*[^/]*$$,,'; \
160      while test -n "$$dir1"; do \
161        first=`echo "$$dir1" | sed -e "$$sed_first"`; \
162        if test "$$first" != "."; then \
163          if test "$$first" = ".."; then \
164            dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
165            dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
166          else \
167            first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
168            if test "$$first2" = "$$first"; then \
169              dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
170            else \
171              dir2="../$$dir2"; \
172            fi; \
173            dir0="$$dir0"/"$$first"; \
174          fi; \
175        fi; \
176        dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
177      done; \
178      reldir="$$dir2"
179  ACLOCAL = @ACLOCAL@  ACLOCAL = @ACLOCAL@
 AMDEP_FALSE = @AMDEP_FALSE@  
 AMDEP_TRUE = @AMDEP_TRUE@  
180  AMTAR = @AMTAR@  AMTAR = @AMTAR@
181    AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
182  AR = @AR@  AR = @AR@
183  AUTOCONF = @AUTOCONF@  AUTOCONF = @AUTOCONF@
184  AUTOHEADER = @AUTOHEADER@  AUTOHEADER = @AUTOHEADER@
# Line 69  CCDEPMODE = @CCDEPMODE@ Line 189  CCDEPMODE = @CCDEPMODE@
189  CFLAGS = @CFLAGS@  CFLAGS = @CFLAGS@
190  CPP = @CPP@  CPP = @CPP@
191  CPPFLAGS = @CPPFLAGS@  CPPFLAGS = @CPPFLAGS@
192    CSCOPE = @CSCOPE@
193    CTAGS = @CTAGS@
194  CXX = @CXX@  CXX = @CXX@
195  CXXCPP = @CXXCPP@  CXXCPP = @CXXCPP@
196  CXXDEPMODE = @CXXDEPMODE@  CXXDEPMODE = @CXXDEPMODE@
# Line 76  CXXFLAGS = @CXXFLAGS@ Line 198  CXXFLAGS = @CXXFLAGS@
198  CYGPATH_W = @CYGPATH_W@  CYGPATH_W = @CYGPATH_W@
199  DEFS = @DEFS@  DEFS = @DEFS@
200  DEPDIR = @DEPDIR@  DEPDIR = @DEPDIR@
201  ECHO = @ECHO@  DLLTOOL = @DLLTOOL@
202    DSYMUTIL = @DSYMUTIL@
203    DUMPBIN = @DUMPBIN@
204  ECHO_C = @ECHO_C@  ECHO_C = @ECHO_C@
205  ECHO_N = @ECHO_N@  ECHO_N = @ECHO_N@
206  ECHO_T = @ECHO_T@  ECHO_T = @ECHO_T@
207  EGREP = @EGREP@  EGREP = @EGREP@
208    ETAGS = @ETAGS@
209  EXEEXT = @EXEEXT@  EXEEXT = @EXEEXT@
210  F77 = @F77@  FGREP = @FGREP@
211  FFLAGS = @FFLAGS@  FILECMD = @FILECMD@
212    GREP = @GREP@
213    INSTALL = @INSTALL@
214  INSTALL_DATA = @INSTALL_DATA@  INSTALL_DATA = @INSTALL_DATA@
215  INSTALL_PROGRAM = @INSTALL_PROGRAM@  INSTALL_PROGRAM = @INSTALL_PROGRAM@
216  INSTALL_SCRIPT = @INSTALL_SCRIPT@  INSTALL_SCRIPT = @INSTALL_SCRIPT@
217  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@  INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
218    LD = @LD@
219  LDFLAGS = @LDFLAGS@  LDFLAGS = @LDFLAGS@
220  LIBOBJS = @LIBOBJS@  LIBOBJS = @LIBOBJS@
221  LIBS = @LIBS@  LIBS = @LIBS@
222  LIBTOOL = @LIBTOOL@  LIBTOOL = @LIBTOOL@
223    LIPO = @LIPO@
224  LN_S = @LN_S@  LN_S = @LN_S@
225  LTLIBOBJS = @LTLIBOBJS@  LTLIBOBJS = @LTLIBOBJS@
226    LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
227  MAKEINFO = @MAKEINFO@  MAKEINFO = @MAKEINFO@
228    MANIFEST_TOOL = @MANIFEST_TOOL@
229    MKDIR_P = @MKDIR_P@
230    NM = @NM@
231    NMEDIT = @NMEDIT@
232    OBJDUMP = @OBJDUMP@
233  OBJEXT = @OBJEXT@  OBJEXT = @OBJEXT@
234    OTOOL = @OTOOL@
235    OTOOL64 = @OTOOL64@
236  PACKAGE = @PACKAGE@  PACKAGE = @PACKAGE@
237  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
238  PACKAGE_NAME = @PACKAGE_NAME@  PACKAGE_NAME = @PACKAGE_NAME@
239  PACKAGE_STRING = @PACKAGE_STRING@  PACKAGE_STRING = @PACKAGE_STRING@
240  PACKAGE_TARNAME = @PACKAGE_TARNAME@  PACKAGE_TARNAME = @PACKAGE_TARNAME@
241    PACKAGE_URL = @PACKAGE_URL@
242  PACKAGE_VERSION = @PACKAGE_VERSION@  PACKAGE_VERSION = @PACKAGE_VERSION@
243  PATH_SEPARATOR = @PATH_SEPARATOR@  PATH_SEPARATOR = @PATH_SEPARATOR@
244  RANLIB = @RANLIB@  RANLIB = @RANLIB@
245    SED = @SED@
246  SET_MAKE = @SET_MAKE@  SET_MAKE = @SET_MAKE@
247  SHELL = @SHELL@  SHELL = @SHELL@
248  STRIP = @STRIP@  STRIP = @STRIP@
249  VERSION = @VERSION@  VERSION = @VERSION@
250    abs_builddir = @abs_builddir@
251    abs_srcdir = @abs_srcdir@
252    abs_top_builddir = @abs_top_builddir@
253    abs_top_srcdir = @abs_top_srcdir@
254  ac_ct_AR = @ac_ct_AR@  ac_ct_AR = @ac_ct_AR@
255  ac_ct_CC = @ac_ct_CC@  ac_ct_CC = @ac_ct_CC@
256  ac_ct_CXX = @ac_ct_CXX@  ac_ct_CXX = @ac_ct_CXX@
257  ac_ct_F77 = @ac_ct_F77@  ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 ac_ct_RANLIB = @ac_ct_RANLIB@  
 ac_ct_STRIP = @ac_ct_STRIP@  
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@  
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@  
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@  
 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@  
258  am__include = @am__include@  am__include = @am__include@
259  am__leading_dot = @am__leading_dot@  am__leading_dot = @am__leading_dot@
260  am__quote = @am__quote@  am__quote = @am__quote@
# Line 129  build_alias = @build_alias@ Line 266  build_alias = @build_alias@
266  build_cpu = @build_cpu@  build_cpu = @build_cpu@
267  build_os = @build_os@  build_os = @build_os@
268  build_vendor = @build_vendor@  build_vendor = @build_vendor@
269    builddir = @builddir@
270  datadir = @datadir@  datadir = @datadir@
271    datarootdir = @datarootdir@
272    docdir = @docdir@
273    dvidir = @dvidir@
274  exec_prefix = @exec_prefix@  exec_prefix = @exec_prefix@
275  host = @host@  host = @host@
276  host_alias = @host_alias@  host_alias = @host_alias@
277  host_cpu = @host_cpu@  host_cpu = @host_cpu@
278  host_os = @host_os@  host_os = @host_os@
279  host_vendor = @host_vendor@  host_vendor = @host_vendor@
280    htmldir = @htmldir@
281  includedir = @includedir@  includedir = @includedir@
282  infodir = @infodir@  infodir = @infodir@
283  install_sh = @install_sh@  install_sh = @install_sh@
284  libdir = @libdir@  libdir = @libdir@
285  libexecdir = @libexecdir@  libexecdir = @libexecdir@
286    localedir = @localedir@
287  localstatedir = @localstatedir@  localstatedir = @localstatedir@
288  mandir = @mandir@  mandir = @mandir@
289  mkdir_p = @mkdir_p@  mkdir_p = @mkdir_p@
290  oldincludedir = @oldincludedir@  oldincludedir = @oldincludedir@
291    pdfdir = @pdfdir@
292  prefix = @prefix@  prefix = @prefix@
293  program_transform_name = @program_transform_name@  program_transform_name = @program_transform_name@
294    psdir = @psdir@
295    runstatedir = @runstatedir@
296  sbindir = @sbindir@  sbindir = @sbindir@
297  sharedstatedir = @sharedstatedir@  sharedstatedir = @sharedstatedir@
298    srcdir = @srcdir@
299  sysconfdir = @sysconfdir@  sysconfdir = @sysconfdir@
300  target_alias = @target_alias@  target_alias = @target_alias@
301    top_build_prefix = @top_build_prefix@
302    top_builddir = @top_builddir@
303    top_srcdir = @top_srcdir@
304  EXTRA_DIST = makedist.sh  EXTRA_DIST = makedist.sh
305  SUBDIRS = game  SUBDIRS = game
306  CLEANFILES = @EXTRA_CLEAN@  CLEANFILES = @EXTRA_CLEAN@
# Line 161  $(srcdir)/Makefile.in:  $(srcdir)/Makefi Line 311  $(srcdir)/Makefile.in:  $(srcdir)/Makefi
311          @for dep in $?; do \          @for dep in $?; do \
312            case '$(am__configure_deps)' in \            case '$(am__configure_deps)' in \
313              *$$dep*) \              *$$dep*) \
314                cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \                ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
315                  && exit 0; \                  && { if test -f $@; then exit 0; else break; fi; }; \
316                exit 1;; \                exit 1;; \
317            esac; \            esac; \
318          done; \          done; \
319          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  utils/Makefile'; \          echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu utils/Makefile'; \
320          cd $(top_srcdir) && \          $(am__cd) $(top_srcdir) && \
321            $(AUTOMAKE) --gnu  utils/Makefile            $(AUTOMAKE) --gnu utils/Makefile
 .PRECIOUS: Makefile  
322  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
323          @case '$?' in \          @case '$?' in \
324            *config.status*) \            *config.status*) \
325              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
326            *) \            *) \
327              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \              echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
328              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \              cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
329          esac;          esac;
330    
331  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)  $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
# Line 186  $(top_srcdir)/configure:  $(am__configur Line 335  $(top_srcdir)/configure:  $(am__configur
335          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
336  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
337          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh          cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
338    $(am__aclocal_m4_deps):
339    
340  mostlyclean-libtool:  mostlyclean-libtool:
341          -rm -f *.lo          -rm -f *.lo
# Line 193  mostlyclean-libtool: Line 343  mostlyclean-libtool:
343  clean-libtool:  clean-libtool:
344          -rm -rf .libs _libs          -rm -rf .libs _libs
345    
 distclean-libtool:  
         -rm -f libtool  
 uninstall-info-am:  
   
346  # This directory's subdirectories are mostly independent; you can cd  # This directory's subdirectories are mostly independent; you can cd
347  # into them and run `make' without going through this Makefile.  # into them and run 'make' without going through this Makefile.
348  # To change the values of `make' variables: instead of editing Makefiles,  # To change the values of 'make' variables: instead of editing Makefiles,
349  # (1) if the variable is set in `config.status', edit `config.status'  # (1) if the variable is set in 'config.status', edit 'config.status'
350  #     (which will cause the Makefiles to be regenerated when you run `make');  #     (which will cause the Makefiles to be regenerated when you run 'make');
351  # (2) otherwise, pass the desired values on the `make' command line.  # (2) otherwise, pass the desired values on the 'make' command line.
352  $(RECURSIVE_TARGETS):  $(am__recursive_targets):
353          @set fnord $$MAKEFLAGS; amf=$$2; \          @fail=; \
354            if $(am__make_keepgoing); then \
355              failcom='fail=yes'; \
356            else \
357              failcom='exit 1'; \
358            fi; \
359          dot_seen=no; \          dot_seen=no; \
360          target=`echo $@ | sed s/-recursive//`; \          target=`echo $@ | sed s/-recursive//`; \
361          list='$(SUBDIRS)'; for subdir in $$list; do \          case "$@" in \
362              distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
363              *) list='$(SUBDIRS)' ;; \
364            esac; \
365            for subdir in $$list; do \
366            echo "Making $$target in $$subdir"; \            echo "Making $$target in $$subdir"; \
367            if test "$$subdir" = "."; then \            if test "$$subdir" = "."; then \
368              dot_seen=yes; \              dot_seen=yes; \
# Line 215  $(RECURSIVE_TARGETS): Line 370  $(RECURSIVE_TARGETS):
370            else \            else \
371              local_target="$$target"; \              local_target="$$target"; \
372            fi; \            fi; \
373            (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \            ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
374             || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \            || eval $$failcom; \
375          done; \          done; \
376          if test "$$dot_seen" = "no"; then \          if test "$$dot_seen" = "no"; then \
377            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \            $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
378          fi; test -z "$$fail"          fi; test -z "$$fail"
379    
380  mostlyclean-recursive clean-recursive distclean-recursive \  ID: $(am__tagged_files)
381  maintainer-clean-recursive:          $(am__define_uniq_tagged_files); mkid -fID $$unique
382          @set fnord $$MAKEFLAGS; amf=$$2; \  tags: tags-recursive
383          dot_seen=no; \  TAGS: tags
         case "$@" in \  
           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \  
           *) list='$(SUBDIRS)' ;; \  
         esac; \  
         rev=''; for subdir in $$list; do \  
           if test "$$subdir" = "."; then :; else \  
             rev="$$subdir $$rev"; \  
           fi; \  
         done; \  
         rev="$$rev ."; \  
         target=`echo $@ | sed s/-recursive//`; \  
         for subdir in $$rev; do \  
           echo "Making $$target in $$subdir"; \  
           if test "$$subdir" = "."; then \  
             local_target="$$target-am"; \  
           else \  
             local_target="$$target"; \  
           fi; \  
           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \  
            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \  
         done && test -z "$$fail"  
 tags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \  
         done  
 ctags-recursive:  
         list='$(SUBDIRS)'; for subdir in $$list; do \  
           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \  
         done  
384    
385  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)  tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
386          list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \          set x; \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         mkid -fID $$unique  
 tags: TAGS  
   
 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
                 $(TAGS_FILES) $(LISP)  
         tags=; \  
387          here=`pwd`; \          here=`pwd`; \
388          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \          if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
389            include_option=--etags-include; \            include_option=--etags-include; \
# Line 280  TAGS: tags-recursive $(HEADERS) $(SOURCE Line 395  TAGS: tags-recursive $(HEADERS) $(SOURCE
395          list='$(SUBDIRS)'; for subdir in $$list; do \          list='$(SUBDIRS)'; for subdir in $$list; do \
396            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
397              test ! -f $$subdir/TAGS || \              test ! -f $$subdir/TAGS || \
398                tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \                set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
399            fi; \            fi; \
400          done; \          done; \
401          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          $(am__define_uniq_tagged_files); \
402          unique=`for i in $$list; do \          shift; \
403              if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \          if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \  
404            test -n "$$unique" || unique=$$empty_fix; \            test -n "$$unique" || unique=$$empty_fix; \
405            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \            if test $$# -gt 0; then \
406              $$tags $$unique; \              $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
407                  "$$@" $$unique; \
408              else \
409                $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
410                  $$unique; \
411              fi; \
412          fi          fi
413  ctags: CTAGS  ctags: ctags-recursive
414  CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \  
415                  $(TAGS_FILES) $(LISP)  CTAGS: ctags
416          tags=; \  ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
417          here=`pwd`; \          $(am__define_uniq_tagged_files); \
418          list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \          test -z "$(CTAGS_ARGS)$$unique" \
         unique=`for i in $$list; do \  
             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \  
           done | \  
           $(AWK) '    { files[$$0] = 1; } \  
                END { for (i in files) print i; }'`; \  
         test -z "$(CTAGS_ARGS)$$tags$$unique" \  
419            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \            || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
420               $$tags $$unique               $$unique
421    
422  GTAGS:  GTAGS:
423          here=`$(am__cd) $(top_builddir) && pwd` \          here=`$(am__cd) $(top_builddir) && pwd` \
424            && cd $(top_srcdir) \            && $(am__cd) $(top_srcdir) \
425            && gtags -i $(GTAGS_ARGS) $$here            && gtags -i $(GTAGS_ARGS) "$$here"
426    cscopelist: cscopelist-recursive
427    
428    cscopelist-am: $(am__tagged_files)
429            list='$(am__tagged_files)'; \
430            case "$(srcdir)" in \
431              [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
432              *) sdir=$(subdir)/$(srcdir) ;; \
433            esac; \
434            for i in $$list; do \
435              if test -f "$$i"; then \
436                echo "$(subdir)/$$i"; \
437              else \
438                echo "$$sdir/$$i"; \
439              fi; \
440            done >> $(top_builddir)/cscope.files
441    
442  distclean-tags:  distclean-tags:
443          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags          -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
444    distdir: $(BUILT_SOURCES)
445            $(MAKE) $(AM_MAKEFLAGS) distdir-am
446    
447  distdir: $(DISTFILES)  distdir-am: $(DISTFILES)
448          @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \          @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
449          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \          topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
450          list='$(DISTFILES)'; for file in $$list; do \          list='$(DISTFILES)'; \
451            case $$file in \            dist_files=`for file in $$list; do echo $$file; done | \
452              $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \            sed -e "s|^$$srcdirstrip/||;t" \
453              $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \                -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
454            esac; \          case $$dist_files in \
455              */*) $(MKDIR_P) `echo "$$dist_files" | \
456                               sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
457                               sort -u` ;; \
458            esac; \
459            for file in $$dist_files; do \
460            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \            if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \  
           if test "$$dir" != "$$file" && test "$$dir" != "."; then \  
             dir="/$$dir"; \  
             $(mkdir_p) "$(distdir)$$dir"; \  
           else \  
             dir=''; \  
           fi; \  
461            if test -d $$d/$$file; then \            if test -d $$d/$$file; then \
462                dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
463                if test -d "$(distdir)/$$file"; then \
464                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
465                fi; \
466              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \              if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
467                cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \                cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
468                  find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
469              fi; \              fi; \
470              cp -pR $$d/$$file $(distdir)$$dir || exit 1; \              cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
471            else \            else \
472              test -f $(distdir)/$$file \              test -f "$(distdir)/$$file" \
473              || cp -p $$d/$$file $(distdir)/$$file \              || cp -p $$d/$$file "$(distdir)/$$file" \
474              || exit 1; \              || exit 1; \
475            fi; \            fi; \
476          done          done
477          list='$(DIST_SUBDIRS)'; for subdir in $$list; do \          @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
478            if test "$$subdir" = .; then :; else \            if test "$$subdir" = .; then :; else \
479              test -d "$(distdir)/$$subdir" \              $(am__make_dryrun) \
480              || $(mkdir_p) "$(distdir)/$$subdir" \                || test -d "$(distdir)/$$subdir" \
481              || exit 1; \                || $(MKDIR_P) "$(distdir)/$$subdir" \
482              distdir=`$(am__cd) $(distdir) && pwd`; \                || exit 1; \
483              top_distdir=`$(am__cd) $(top_distdir) && pwd`; \              dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
484              (cd $$subdir && \              $(am__relativize); \
485                new_distdir=$$reldir; \
486                dir1=$$subdir; dir2="$(top_distdir)"; \
487                $(am__relativize); \
488                new_top_distdir=$$reldir; \
489                echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
490                echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
491                ($(am__cd) $$subdir && \
492                $(MAKE) $(AM_MAKEFLAGS) \                $(MAKE) $(AM_MAKEFLAGS) \
493                  top_distdir="$$top_distdir" \                  top_distdir="$$new_top_distdir" \
494                  distdir="$$distdir/$$subdir" \                  distdir="$$new_distdir" \
495                    am__remove_distdir=: \
496                    am__skip_length_check=: \
497                    am__skip_mode_fix=: \
498                  distdir) \                  distdir) \
499                || exit 1; \                || exit 1; \
500            fi; \            fi; \
# Line 374  install-am: all-am Line 514  install-am: all-am
514    
515  installcheck: installcheck-recursive  installcheck: installcheck-recursive
516  install-strip:  install-strip:
517          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \          if test -z '$(STRIP)'; then \
518            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \            $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
519            `test -z '$(STRIP)' || \              install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
520              echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install                install; \
521            else \
522              $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
523                install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
524                "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
525            fi
526  mostlyclean-generic:  mostlyclean-generic:
527    
528  clean-generic:  clean-generic:
# Line 385  clean-generic: Line 530  clean-generic:
530    
531  distclean-generic:  distclean-generic:
532          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)          -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
533            -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
534    
535  maintainer-clean-generic:  maintainer-clean-generic:
536          @echo "This command is intended for maintainers to use"          @echo "This command is intended for maintainers to use"
# Line 395  clean-am: clean-generic clean-libtool mo Line 541  clean-am: clean-generic clean-libtool mo
541    
542  distclean: distclean-recursive  distclean: distclean-recursive
543          -rm -f Makefile          -rm -f Makefile
544  distclean-am: clean-am distclean-generic distclean-libtool \  distclean-am: clean-am distclean-generic distclean-tags
         distclean-tags  
545    
546  dvi: dvi-recursive  dvi: dvi-recursive
547    
# Line 404  dvi-am: Line 549  dvi-am:
549    
550  html: html-recursive  html: html-recursive
551    
552    html-am:
553    
554  info: info-recursive  info: info-recursive
555    
556  info-am:  info-am:
557    
558  install-data-am: install-data-local  install-data-am: install-data-local
559    
560    install-dvi: install-dvi-recursive
561    
562    install-dvi-am:
563    
564  install-exec-am:  install-exec-am:
565    
566    install-html: install-html-recursive
567    
568    install-html-am:
569    
570  install-info: install-info-recursive  install-info: install-info-recursive
571    
572    install-info-am:
573    
574  install-man:  install-man:
575    
576    install-pdf: install-pdf-recursive
577    
578    install-pdf-am:
579    
580    install-ps: install-ps-recursive
581    
582    install-ps-am:
583    
584  installcheck-am:  installcheck-am:
585    
586  maintainer-clean: maintainer-clean-recursive  maintainer-clean: maintainer-clean-recursive
# Line 434  ps: ps-recursive Line 599  ps: ps-recursive
599    
600  ps-am:  ps-am:
601    
602  uninstall-am: uninstall-info-am  uninstall-am:
603    
604    .MAKE: $(am__recursive_targets) install-am install-strip
605    
606  uninstall-info: uninstall-info-recursive  .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
607            check-am clean clean-generic clean-libtool cscopelist-am ctags \
608            ctags-am distclean distclean-generic distclean-libtool \
609            distclean-tags distdir dvi dvi-am html html-am info info-am \
610            install install-am install-data install-data-am \
611            install-data-local install-dvi install-dvi-am install-exec \
612            install-exec-am install-html install-html-am install-info \
613            install-info-am install-man install-pdf install-pdf-am \
614            install-ps install-ps-am install-strip installcheck \
615            installcheck-am installdirs installdirs-am maintainer-clean \
616            maintainer-clean-generic mostlyclean mostlyclean-generic \
617            mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
618            uninstall-am
619    
620  .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \  .PRECIOUS: Makefile
         clean clean-generic clean-libtool clean-recursive ctags \  
         ctags-recursive distclean distclean-generic distclean-libtool \  
         distclean-recursive distclean-tags distdir dvi dvi-am html \  
         html-am info info-am install install-am install-data \  
         install-data-am install-data-local install-exec \  
         install-exec-am install-info install-info-am install-man \  
         install-strip installcheck installcheck-am installdirs \  
         installdirs-am maintainer-clean maintainer-clean-generic \  
         maintainer-clean-recursive mostlyclean mostlyclean-generic \  
         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \  
         tags tags-recursive uninstall uninstall-am uninstall-info-am  
621    
622    
623  install-data-local:  install-data-local:
624          sh makedist.sh $(prefix)/$(subdir)          sh makedist.sh $(prefix)/$(subdir)
625    
626  # Tell versions [3.59,3.63) of GNU make to not export all variables.  # Tell versions [3.59,3.63) of GNU make to not export all variables.
627  # Otherwise a system limit (for SysV at least) may be exceeded.  # Otherwise a system limit (for SysV at least) may be exceeded.
628  .NOEXPORT:  .NOEXPORT:


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1